Bug 1122642 - Get "failed to find a suitable stage1 device" for KVM VM install
Summary: Get "failed to find a suitable stage1 device" for KVM VM install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 16:50 UTC by Orion Poplawski
Modified: 2015-09-03 19:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-24 17:11:24 UTC


Attachments (Terms of Use)
storage.log (23.07 KB, text/x-log)
2014-07-23 16:50 UTC, Orion Poplawski
no flags Details
anaconda.log (3.23 KB, text/plain)
2014-07-24 05:07 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2014-07-23 16:50:32 UTC
Created attachment 920297 [details]
storage.log

Description of problem:

kickstart install of F21a-TC1 with updates.img from 1119380.  Get:

storage configuration failed: failed to find a suitable stage1 device.

ks part commands:
clearpart --all --initlabel
part / --size=3000 --grow
part swap --recommended
zerombr
bootloader --location=mbr

(this works for F20).

Version-Release number of selected component (if applicable):
21.47-1

anaconda.log:
16:22:53,611 DEBUG anaconda: new disk order: []
16:22:53,629 DEBUG anaconda: new disk order: []
16:22:53,702 DEBUG anaconda: _is_valid_disklabel(vda) returning False
16:22:53,702 DEBUG anaconda: _is_valid_size(vda) returning True
16:22:53,702 DEBUG anaconda: _is_valid_location(vda) returning True
16:22:53,703 DEBUG anaconda: _is_valid_format(vda) returning True
16:22:53,703 DEBUG anaconda: is_valid_stage1_device(vda) returning False
16:22:53,703 ERR anaconda: BootLoader setup failed: failed to find a suitable stage1 device

Comment 1 Orion Poplawski 2014-07-23 22:42:50 UTC
Forced to have a small /boot partition?

Comment 2 David Lehman 2014-07-23 23:14:03 UTC
Attach anaconda.log, please.

Comment 3 Orion Poplawski 2014-07-24 05:07:58 UTC
Created attachment 920438 [details]
anaconda.log

Comment 4 Orion Poplawski 2014-07-24 17:11:24 UTC
Hmm, appears to be working with 21.48.1-1

Comment 5 clee 2015-09-03 18:41:01 UTC
I'm seeing this bug on F22-Server, using the DVD image ISO with sha256 hash b2acfa7c7c6b5d2f51d3337600c2e52eeaa1a1084991181c28ca30343e52e0df.

Trying to install Fedora 22 as a KVM guest inside a Fedora 22 host, and I see the exact same output in anaconda.log:

16:22:53,611 DEBUG anaconda: new disk order: []
16:22:53,629 DEBUG anaconda: new disk order: []
16:22:53,702 DEBUG anaconda: _is_valid_disklabel(vda) returning False
16:22:53,702 DEBUG anaconda: _is_valid_size(vda) returning True
16:22:53,702 DEBUG anaconda: _is_valid_location(vda) returning True
16:22:53,703 DEBUG anaconda: _is_valid_format(vda) returning True
16:22:53,703 DEBUG anaconda: is_valid_stage1_device(vda) returning False
16:22:53,703 ERR anaconda: BootLoader setup failed: failed to find a suitable stage1 device

Comment 6 clee 2015-09-03 19:11:02 UTC
According to the installer, this is anaconda 22.20.13-1 for Fedora 22.


Note You need to log in before you can comment on or make changes to this bug.